#!/usr/bin/ruby -w
#
# $Id: example.rb,v 1.3 2002/09/18 07:23:57 ianmacd Exp $

require 'password'

def handle_password(pw)
  password = Password.new(pw)
  password.check

  puts password.crypt(`uname` == "Linux\n" ? Password::MD5 : Password::DES)
end

begin
  my_string = Password.get("Password with get")
  handle_password(my_string)

  my_string = Password.getc("Password with getc", 'X')
  handle_password(my_string)
rescue Crack::WeakPassword => reason
  puts reason
  retry
end
